Parameter Class Referenceabstract

`#include <Parameter.h>`

Inheritance diagram for Parameter:

## Public Member Functions

| Parameter (const string &name, const string &description)
virtual | ~Parameter ()
const string & | getName () const
const string & | getDescription () const
string | getArgumentType () const
string | getValueAsString () const
void | appendToDescription (const char *str)
void | processArguments (const char **args, size_t argCount)

## Private Member Functions

virtual string | doGetArgumentType () const =0
virtual string | doGetValueAsString () const =0
virtual pair< size_t, size_t > | doGetArgumentCountRange () const =0
virtual void | doProcessArguments (const char **args, size_t argCount)=0
void | checkCorrectParameterCount (unsigned int from, unsigned int to, const char **params, unsigned int paramCount)

## Private Attributes

string | _name
string | _description

## Detailed Description

Todo
  : rename to CliParam

Definition at line 24 of file Parameter.h.

## Constructor & Destructor Documentation

## Parameter()

Parameter::Parameter | ( | const string & | name,
|  | const string & | description )

Definition at line 22 of file Parameter.cpp.

## ~Parameter()

Parameter::~Parameter | ( |  | ) |

virtual

Definition at line 28 of file Parameter.cpp.

## Member Function Documentation

## appendToDescription()

void Parameter::appendToDescription | ( | const char * | str | ) |

Definition at line 31 of file Parameter.cpp.

## checkCorrectParameterCount()

void Parameter::checkCorrectParameterCount | ( | unsigned int | from,
|  | unsigned int | to,
|  | const char ** | params,
|  | unsigned int | paramCount )

private

Definition at line 43 of file Parameter.cpp.

## doGetArgumentCountRange()

virtual pair< size_t, size_t > Parameter::doGetArgumentCountRange | ( |  | ) | const

private pure virtual

Implemented in BoolParameter, IntegerParameter, and StringParameter.

## doGetArgumentType()

virtual string Parameter::doGetArgumentType | ( |  | ) | const

private pure virtual

Implemented in BoolParameter, IntegerParameter, and StringParameter.

## doGetValueAsString()

virtual string Parameter::doGetValueAsString | ( |  | ) | const

private pure virtual

Implemented in BoolParameter, IntegerParameter, and StringParameter.

## doProcessArguments()

virtual void Parameter::doProcessArguments | ( | const char ** | args,
|  | size_t | argCount )

private pure virtual

Implemented in BoolParameter, IntegerParameter, and StringParameter.

## getArgumentType()

string Parameter::getArgumentType | ( |  | ) | const

inline

Definition at line 31 of file Parameter.h.

## getDescription()

const string & Parameter::getDescription | ( |  | ) | const

inline

Definition at line 30 of file Parameter.h.

## getName()

const string & Parameter::getName | ( |  | ) | const

inline

Definition at line 29 of file Parameter.h.

## getValueAsString()

string Parameter::getValueAsString | ( |  | ) | const

inline

Definition at line 32 of file Parameter.h.

## processArguments()

void Parameter::processArguments | ( | const char ** | args,
|  | size_t | argCount )

Definition at line 35 of file Parameter.cpp.

## Member Data Documentation

## _description

string Parameter::_description

private

Definition at line 50 of file Parameter.h.

## _name

string Parameter::_name

private

Definition at line 49 of file Parameter.h.

The documentation for this class was generated from the following files:

- src/Parameter.h
- src/Parameter.cpp